import { shallowMount } from "@vue/test-utils";
import vinInformation from "@/layouts/vin-lookup/vin-information/vin-information";

describe("vinInformation.vue", () => {
    it("Should return input class active if isActive is true", async () => {
        // Act
        const wrapper = shallowMount(vinInformation, {
            mixins: [mockMixin],
        });

        await wrapper.setData({
            isActive: true,
        });

        // Assert
        wrapper.vm.toggleClass();

        expect(wrapper.vm.isActive).toEqual(false);
    });
});

const mockMixin = {
    methods: {
        getCmsContent: jest.fn(),
    },
};
